<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.tofly.xrtygis.custom.mapper.CustomScadaHistoryMapper">

    <select id="getListInfo" resultType="map">
        select *
        from TF_SCADA_HISTORY_VIEW
        where
        1=1
        <if test="start_time != null and end_time != null">
            and SCADA_TIME between #{start_time} and #{end_time}
        </if>
        order by SCADA_TIME
    </select>
</mapper>